<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KBookmarkBar</name>
    <filename>classKBookmarkBar.html</filename>
    <base>TQObject</base>
    <member kind="slot">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a4578084c3a4cc5df478a2e67d04770ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotBookmarksChanged</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a6d354efc1a53a0e05395cf71223c4cd7</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotBookmarkSelected</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a6705f61f9a090ae7f4fa2b587e94e08f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotBookmarkSelected</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a9306baf58bcedb4d120e6108cf6e3a64</anchor>
      <arglist>(TDEAction::ActivationReason reason, TQt::ButtonState state)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionRemove</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>af24f24f6c8c7ba984b42ef811e51e2dd</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionInsert</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ad9db10b4f0c906d23ca25a301462443c</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionCopyLocation</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>af52cb5130ab18023e5fc778e784a66dc</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionEditAt</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>aeaad3c6ba5b53b8b291fad39aca3a3a8</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRMBActionProperties</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a5ab491415d5042b80a27dd0dc432bf34</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToShowContextMenu</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a94405993e721351310e1bbff23899ce2</anchor>
      <arglist>(const KBookmark &amp;, TQPopupMenu *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openBookmark</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ad8337247be341a474914508946d8af5f</anchor>
      <arglist>(const TQString &amp;url, TQt::ButtonState state)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkBar</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a4c6c9f7cbdd55876e39b05ab530ff3a7</anchor>
      <arglist>(KBookmarkManager *manager, KBookmarkOwner *owner, TDEToolBar *toolBar, TDEActionCollection *, TQObject *parent=0L, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ad49307fff9322f5ed9d7a81307ca041d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReadOnly</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a4457397aad1558a7f7dc443acd4b61f8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>parentAddress</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a2bcb2a7d0794114c0738a97194c4d0e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillBookmarkBar</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a3f9bd9e7164d03154c00f1a267c36aa8</anchor>
      <arglist>(KBookmarkGroup &amp;parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>ab7ab3cd22ecca348d10ca123468024c6</anchor>
      <arglist>(TQObject *o, TQEvent *e)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>RMB</name>
      <anchorfile>classKBookmarkBar.html</anchorfile>
      <anchor>a356d17bb7f8cc24817319e5bcf75b8d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkDomBuilder</name>
    <filename>classKBookmarkDomBuilder.html</filename>
    <base>TQObject</base>
    <member kind="function">
      <type></type>
      <name>KBookmarkDomBuilder</name>
      <anchorfile>classKBookmarkDomBuilder.html</anchorfile>
      <anchor>ab892fe908fa61b0ba27439b106e9a21b</anchor>
      <arglist>(const KBookmarkGroup &amp;group, KBookmarkManager *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectImporter</name>
      <anchorfile>classKBookmarkDomBuilder.html</anchorfile>
      <anchor>a21dc2a8de8058bd1443aeca761ac9e52</anchor>
      <arglist>(const TQObject *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKBookmarkDomBuilder.html</anchorfile>
      <anchor>aeefd35a32af648f7c92d531d73ae88b3</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKBookmarkDomBuilder.html</anchorfile>
      <anchor>afe99a860840c1bd4f24d7183d34afd69</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKBookmarkDomBuilder.html</anchorfile>
      <anchor>a0d58ea7349399c3c4a31caa346fd987f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKBookmarkDomBuilder.html</anchorfile>
      <anchor>a5f8b21c466b8393f43e4e21e4bbcfa86</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkExporterBase</name>
    <filename>classKBookmarkExporterBase.html</filename>
    <member kind="function">
      <type></type>
      <name>KBookmarkExporterBase</name>
      <anchorfile>classKBookmarkExporterBase.html</anchorfile>
      <anchor>a7b02f6b9e6ff7946fe2f5b486a92e3b6</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>write</name>
      <anchorfile>classKBookmarkExporterBase.html</anchorfile>
      <anchor>ad8285d403c7c7fb62662c26795a4c057</anchor>
      <arglist>(KBookmarkGroup)=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classKBookmarkExporterBase.html</anchorfile>
      <anchor>af1f70f759a129182b12c31dbd2bea753</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KBookmarkManager *</type>
      <name>m_pManager</name>
      <anchorfile>classKBookmarkExporterBase.html</anchorfile>
      <anchor>a6733fe7c5ba62704efdb5958495aad85</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkGroup</name>
    <filename>classKBookmarkGroup.html</filename>
    <member kind="function">
      <type></type>
      <name>KBookmarkGroup</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a4730192942a87021832459779884a15b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkGroup</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a338b2e096d9d1185734bc7f80aa83f53</anchor>
      <arglist>(TQDomElement elem)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>groupAddress</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a51511749a712fe879d9600932847fad0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a0cee8d3821f5409fa177ddfbbd708ad2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>first</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>abe40151bcea90078bc1693af0b5193d4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>previous</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a7da8cfaeb9312d37179cfe9f52cf6a84</anchor>
      <arglist>(const KBookmark &amp;current) const </arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>next</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>ae7e4df838c881ab2763305c8fdb48fb4</anchor>
      <arglist>(const KBookmark &amp;current) const </arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>createNewFolder</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a84a15d2fa0338b2db3b0f23f32d09c3b</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;text=TQString::null, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>createNewSeparator</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a84aac1c4e3acf5f17c49d080583d409b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>addBookmark</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a4e782ebe70c824715a1c76e457c82361</anchor>
      <arglist>(KBookmarkManager *mgr, const KBookmark &amp;bm, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>addBookmark</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a94fa9bd905f8367743921375f7b11143</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;text, const KURL &amp;url, const TQString &amp;icon=TQString::null, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>moveItem</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a8bee3cfee339a0dc780ce839088b1b30</anchor>
      <arglist>(const KBookmark &amp;item, const KBookmark &amp;after)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteBookmark</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a508b4326ec8cb305352a29d321228db6</anchor>
      <arglist>(KBookmark bk)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isToolbarGroup</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>aafc416ff8c6e276f76e18841fe6926c4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQDomElement</type>
      <name>findToolbar</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a40b3c5c669fa62c18de0ae96e41ce10a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQValueList&lt; KURL &gt;</type>
      <name>groupUrlList</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a7137a6ec4d8407a5ceda0b9c0863fe24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQDomElement</type>
      <name>nextKnownTag</name>
      <anchorfile>classKBookmarkGroup.html</anchorfile>
      <anchor>a34f05e0845915cc1152861b627f89718</anchor>
      <arglist>(TQDomElement start, bool goNext) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkGroupTraverser</name>
    <filename>classKBookmarkGroupTraverser.html</filename>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>traverse</name>
      <anchorfile>classKBookmarkGroupTraverser.html</anchorfile>
      <anchor>a4c5b01a88d53b6e8caaeb33e3bc252da</anchor>
      <arglist>(const KBookmarkGroup &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>visit</name>
      <anchorfile>classKBookmarkGroupTraverser.html</anchorfile>
      <anchor>a63f74f526b0f0b936bf17faa49fc27a6</anchor>
      <arglist>(const KBookmark &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>visitEnter</name>
      <anchorfile>classKBookmarkGroupTraverser.html</anchorfile>
      <anchor>ab3db75bb197851e8591445cb77cc5107</anchor>
      <arglist>(const KBookmarkGroup &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>visitLeave</name>
      <anchorfile>classKBookmarkGroupTraverser.html</anchorfile>
      <anchor>a73d58f652bfbe288ff68be4243dd4673</anchor>
      <arglist>(const KBookmarkGroup &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkImporter</name>
    <filename>classKBookmarkImporter.html</filename>
    <member kind="function">
      <type></type>
      <name>KBookmarkImporter</name>
      <anchorfile>classKBookmarkImporter.html</anchorfile>
      <anchor>a9aedd58c4ba740bf2aec384229c35025</anchor>
      <arglist>(TQDomDocument *doc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>import</name>
      <anchorfile>classKBookmarkImporter.html</anchorfile>
      <anchor>aa30d51b975a8a173cefc5ea459c5f699</anchor>
      <arglist>(const TQString &amp;path)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkImporterBase</name>
    <filename>classKBookmarkImporterBase.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>aed94da3a57f4ecf1ccd823fd361e83eb</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a0c1120a77ab6fd50160fccee4e16c7ee</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a3ea59a77426f6bd18c8ddc5463da40b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a58815056531bb99c39755258c12e0011</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilename</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a8a65fd6a45474b6715f0751c92713850</anchor>
      <arglist>(const TQString &amp;filename)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>adc3a2c0dc6ad299163457ae9550990d5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual TQString</type>
      <name>findDefaultLocation</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>aeff082c0e1f58687085de5dd46a891e2</anchor>
      <arglist>(bool forSaving=false) const =0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupSignalForwards</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a4d83be9a9e24ac29ae0bbb51004dda4a</anchor>
      <arglist>(TQObject *src, TQObject *dst)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KBookmarkImporterBase *</type>
      <name>factory</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a15c5140d802abe0a52438aa81a96dc7d</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classKBookmarkImporterBase.html</anchorfile>
      <anchor>a264f038b5f151ab371c9fa44ed2dc054</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkManager</name>
    <filename>classKBookmarkManager.html</filename>
    <base>TQObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotEditBookmarks</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a46b1435cea48a39bd730f2ded45ea9da</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotEditBookmarksAtAddress</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a8896afb29128230e039154911c0f474f</anchor>
      <arglist>(const TQString &amp;address)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aa3f716aaccda1d84d49059f3d3c43cb4</anchor>
      <arglist>(const TQString &amp;groupAddress, const TQString &amp;caller)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KBookmarkManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aa67441407d5a60efb7670ac1b74c400b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUpdate</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a51327231e241329c4fa11be736a5b29a</anchor>
      <arglist>(bool update)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>save</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aa1e2c300232b5e5df362dea68b2e11ec</anchor>
      <arglist>(bool toolbarCache=true) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAs</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ad9e06a1fad1a7381c590d0ea5f6f77ee</anchor>
      <arglist>(const TQString &amp;filename, bool toolbarCache=true) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>updateAccessMetadata</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>afcfcb6476eba67a6bf850f104934d1a5</anchor>
      <arglist>(const TQString &amp;url, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateFavicon</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aeff5c367e5ec84a6a55d99631ab8b5b1</anchor>
      <arglist>(const TQString &amp;url, const TQString &amp;faviconurl, bool emitSignal=true)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>path</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a145037a8c0b2acc41123d88c04e296c2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>root</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a9e4c52914d6cf87458a9b8b032006a2c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>toolbar</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a351e9db40515e3a7711cce5cac91336b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmark</type>
      <name>findByAddress</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a1d86fdb5871fd16c183398db4092d9bf</anchor>
      <arglist>(const TQString &amp;address, bool tolerate=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitChanged</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a1038992b78401affd671232b3a7ebb67</anchor>
      <arglist>(KBookmarkGroup &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitConfigChanged</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a88f6bfff02b638bf14020295c17a68fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>showNSBookmarks</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aec58f1a5676085aad86df2d6e0de2bdc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowNSBookmarks</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>af2c9aeda058f2d9eaab96af182dc73fc</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEditorOptions</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a3dff5c49da1f8859298b6a0f19ddba87</anchor>
      <arglist>(const TQString &amp;caption, bool browser)</arglist>
    </member>
    <member kind="function">
      <type>const TQDomDocument &amp;</type>
      <name>internalDocument</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>abace0eba9125aa46e2b9ed418ff481b4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KBookmarkNotifier &amp;</type>
      <name>notifier</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a574839e43ec94b9de367ca11add34457</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KBookmarkGroup</type>
      <name>addBookmarkDialog</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a5988fb619e88b24abc8d374946b5658c</anchor>
      <arglist>(const TQString &amp;_url, const TQString &amp;_title, const TQString &amp;_parentBookmarkAddress=TQString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KBookmarkManager *</type>
      <name>managerForFile</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ae22569608ae66171223a4c74a7d898bf</anchor>
      <arglist>(const TQString &amp;bookmarksFile, bool bImportDesktopFiles=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KBookmarkManager *</type>
      <name>createTempManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ad18f16a34e53c010e653b88eebc7d004</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KBookmarkManager *</type>
      <name>userBookmarksManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a5b4c132742cd45cfa9609b476311ba8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>userBookmarksFile</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ae7385fbbfd93f9d19ea931e5ff184bb0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KBookmarkManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ac13357272f422db71f0e941a5ea6e441</anchor>
      <arglist>(const TQString &amp;bookmarksFile, bool bImportDesktopFiles=true)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KBookmarkManager</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>ae46117344c5cf95671bc3a00eeef2ffb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parse</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aef38d4167612c964fb700f280df642e8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>importDesktopFiles</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aaa021358d7885c0f400547b5b423bd26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>convertToXBEL</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>aef11be1931ae4a16aaeeeb05f9fc7618</anchor>
      <arglist>(TQDomElement &amp;group)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>convertAttribute</name>
      <anchorfile>classKBookmarkManager.html</anchorfile>
      <anchor>a80fe9fc2158711d62c43b9ce239a759a</anchor>
      <arglist>(TQDomElement elem, const TQString &amp;oldName, const TQString &amp;newName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkMenu</name>
    <filename>classKBookmarkMenu.html</filename>
    <base>TQObject</base>
    <class kind="struct">KBookmarkMenu::DynMenuInfo</class>
    <member kind="slot">
      <type>void</type>
      <name>slotBookmarksChanged</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a90ff46eabca36c7583fdd19742fa435b</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToShowContextMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>af3d902a00ecacc811cd2fda8db82fff4</anchor>
      <arglist>(const KBookmark &amp;, TQPopupMenu *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openBookmark</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a4cceba1b46c74765503ad3c7084aa3a1</anchor>
      <arglist>(const TQString &amp;url, TQt::ButtonState state)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KBookmarkMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a38ad9e5ff03704d6cdced349a655fc4e</anchor>
      <arglist>(KBookmarkManager *mgr, KBookmarkOwner *owner, TDEPopupMenu *parentMenu, TDEActionCollection *collec, bool root, bool add=true, const TQString &amp;parentAddress=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillBookmarkMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ad0174a2feeaa9b4c4f84c090e1fb1de7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ensureUpToDate</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a3c0a1a7becf5a71f6d26ba4111741a1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DynMenuInfo</type>
      <name>showDynamicBookmarks</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a15fc693d7f3bcce117430b2707a4cd79</anchor>
      <arglist>(const TQString &amp;id)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDynamicBookmarks</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>aaf9b913d7016991002219f1dfe018912</anchor>
      <arglist>(const TQString &amp;id, const DynMenuInfo &amp;info)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>dynamicBookmarksList</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>afa9a11ea60cb281d796e36a2412c93c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToShow</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a348d4798efd5c6c8e206c6bdd23397b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAboutToShowContextMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a47d35b0f9ec1b815cb0a74c80b7be172</anchor>
      <arglist>(TDEPopupMenu *, int, TQPopupMenu *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotActionHighlighted</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a58f88bea4c165b26a98568e0e195e104</anchor>
      <arglist>(TDEAction *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRMBActionRemove</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ab26fae3e9df33ea9081d475596876550</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRMBActionInsert</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a11de513e3380c840de93a70644b5429b</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRMBActionCopyLocation</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ab81fb916cf3b2e36f1239fc4d5d9c945</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRMBActionEditAt</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a90ed60822423bbcb4d1b5624ece58cd2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRMBActionProperties</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a053627bde2cb09fa42c422b7c0fa05c1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBookmarkSelected</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a1ad9b4c2ee5748ff7b04148918b930b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBookmarkSelected</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a8846e50a7154addec9c74ef67eb53078</anchor>
      <arglist>(TDEAction::ActivationReason reason, TQt::ButtonState state)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddBookmarksList</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a2e7a9935ab01aca728d27499ef9b9504</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddBookmark</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>addd793f82563a62aa8e84d04724f4ebd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewFolder</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ad355b645fb55bcc910a17b5458dfa2d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNSLoad</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>afef256520e3f145ce8c35e8da95f9f40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KExtendedBookmarkOwner *</type>
      <name>extOwner</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>afb3e7fe971509852d1a849eed2468b74</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>refill</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a136492a06aa86080930d4f9bd760d1b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAddBookmark</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>adb466b2a2164f8c9c05d3aef13eb3999</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addAddBookmarksList</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ae00e9ae6564eac22b862bceb69b06207</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addEditBookmarks</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a0cb32f8bb324d94c9cfe6402b6c45fd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>addNewFolder</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a115496510c6086d14f9369372a3faa0c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>fillContextMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a6f9ec23f1d3e504e1e6ec0862ef87f9c</anchor>
      <arglist>(TQPopupMenu *, const TQString &amp;, int)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bIsRoot</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ad8988a17ce6551d49d4be9f4d33469a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bAddBookmark</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>adb166e332a738a511793b43ce04e3254</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bDirty</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a6b6cf9bef70fdd64e3fb422c6c461731</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bNSBookmark</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>af45b8eb423256c396bd93abd5a4085a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bAddShortcuts</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a8bdf39e8f06c5e8ad15c1aefbd697bde</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KBookmarkManager *</type>
      <name>m_pManager</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a637752cb224c332f1cf9feb9fcdb4687</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KBookmarkOwner *</type>
      <name>m_pOwner</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a9c6dfbf688ad9771e9b84a817f21a2eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TDEPopupMenu *</type>
      <name>m_parentMenu</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a219a95e3faa1357dfa6afd3710da4776</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; KBookmarkMenu &gt;</type>
      <name>m_lstSubMenus</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ab1f68ae1aec0be005b0d4c949673fe13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TDEActionCollection *</type>
      <name>m_actionCollection</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>af6509419f890356207405cd3b8dede14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrList&lt; TDEAction &gt;</type>
      <name>m_actions</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>ac790d140d697a2343ce692ed46a8738a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_parentAddress</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a05d1851f1bd97098c50c6105037e66fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static TQString</type>
      <name>s_highlightedAddress</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a0120fe2a276f7a4984607c46cdb6086a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static TQString</type>
      <name>s_highlightedImportLocation</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>afb7f4624a099b16ac8995f7887a488e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static TQString</type>
      <name>s_highlightedImportType</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a8e8ffeff462d22a17a8f5d5e12ce1664</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KBookmarkMenuNSImporter</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a86863b46f2deb08458239edbb72fe5d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>RMB</name>
      <anchorfile>classKBookmarkMenu.html</anchorfile>
      <anchor>a356d17bb7f8cc24817319e5bcf75b8d0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KBookmarkMenu::DynMenuInfo</name>
    <filename>structKBookmarkMenu_1_1DynMenuInfo.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>show</name>
      <anchorfile>structKBookmarkMenu_1_1DynMenuInfo.html</anchorfile>
      <anchor>ad06a530cae53b455e4c410ff0dc800c4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>location</name>
      <anchorfile>structKBookmarkMenu_1_1DynMenuInfo.html</anchorfile>
      <anchor>a22880103bd77513521f019fe4dee7d79</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>structKBookmarkMenu_1_1DynMenuInfo.html</anchorfile>
      <anchor>ac590ef2dae9806467ab9c94816b17db0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>TQString</type>
      <name>name</name>
      <anchorfile>structKBookmarkMenu_1_1DynMenuInfo.html</anchorfile>
      <anchor>ac9ed2a230d95b200f22465ed6329f60c</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>class DynMenuInfoPrivate *</type>
      <name>d</name>
      <anchorfile>structKBookmarkMenu_1_1DynMenuInfo.html</anchorfile>
      <anchor>a599405df06fe78e4524c0d7e877dca88</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkMenuNSImporter</name>
    <filename>classKBookmarkMenuNSImporter.html</filename>
    <base>TQObject</base>
    <member kind="function">
      <type></type>
      <name>KBookmarkMenuNSImporter</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a4dad022a3adfe870a72943e7a3d47db0</anchor>
      <arglist>(KBookmarkManager *mgr, KBookmarkMenu *menu, TDEActionCollection *act)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openNSBookmarks</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>ada96baf1d4120a8b3e59e0438f1d0872</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openBookmarks</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>ae017e6297e0a5a42bf753b090b3ae25f</anchor>
      <arglist>(const TQString &amp;location, const TQString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectToImporter</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a174e5c0466b87b0209c59aef64dcb22b</anchor>
      <arglist>(const TQObject &amp;importer)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a3b3c0e3dbf5ad3f4ac2d1f2d7dd75799</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a24f36affe8a850a49788e545163933c3</anchor>
      <arglist>(const TQString &amp;text, bool, const TQString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a9f3e3a2e5548d34fb7e9df74b6fa144a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>ad3b0cd5bd85221051e95a3ae685df918</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQPtrStack&lt; KBookmarkMenu &gt;</type>
      <name>mstack</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a154fc6546a79659ecaf02d1466d7f76d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KBookmarkMenu *</type>
      <name>m_menu</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a0996d6b371acae1852157e2bb230db1a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TDEActionCollection *</type>
      <name>m_actionCollection</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a92480b2308d26517dbbc987a83e01622</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KBookmarkManager *</type>
      <name>m_pManager</name>
      <anchorfile>classKBookmarkMenuNSImporter.html</anchorfile>
      <anchor>a36def5682a4565c5f0534433a023af65</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkNotifier</name>
    <filename>classKBookmarkNotifier.html</filename>
    <member kind="function">
      <type></type>
      <name>KBookmarkNotifier</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>a00d3984db62fa9e2d946a67fdde6c85e</anchor>
      <arglist>(TQCString objId=&quot;KBookmarkNotifier&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createdNewFolder</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>a2ececd9103c5cb002b826064a8deac26</anchor>
      <arglist>(TQString filename, TQString text, TQString address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updatedAccessMetadata</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>a4f129f03c9a11c006fcd3a0a64ea6489</anchor>
      <arglist>(TQString filename, TQString url)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>a827ec07edf6d09faa65249b55fec4eae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals TQString</type>
      <name>url</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>a9197483b62507143c3cabde1b8d42878</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals TQString TQString</type>
      <name>text</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>aac1f253a36ad73e8d0c658dd288f38ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals TQString TQString TQString</type>
      <name>address</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>acc87caf88b614162adab21638923d922</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals TQString TQString TQString TQString</type>
      <name>icon</name>
      <anchorfile>classKBookmarkNotifier.html</anchorfile>
      <anchor>af3b89b0e98d41e521d8a459c6b7389f9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KBookmarkOwner</name>
    <filename>classKBookmarkOwner.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>openBookmarkURL</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>a5ac4b373f4e175f7de9143cb45e8a476</anchor>
      <arglist>(const TQString &amp;_url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>currentTitle</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>af836677e2f4e34519604516372eaa825</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>currentURL</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>a100e044d6b3b7d9ebd4109c4c0aea575</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKBookmarkOwner.html</anchorfile>
      <anchor>a2881e8182ae3cf4d5fb40f25e1bc6108</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KExtendedBookmarkOwner</name>
    <filename>classKExtendedBookmarkOwner.html</filename>
    <base>TQObject</base>
    <base virtualness="virtual">KBookmarkOwner</base>
    <member kind="typedef">
      <type>TQValueList&lt; QPair&lt; TQString, TQString &gt; &gt;</type>
      <name>QStringPairList</name>
      <anchorfile>classKExtendedBookmarkOwner.html</anchorfile>
      <anchor>ab4bb8ee03f80c347b91cf362b2254944</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>fillBookmarksList</name>
      <anchorfile>classKExtendedBookmarkOwner.html</anchorfile>
      <anchor>acec0b2a61892253ab2fbf22852b00944</anchor>
      <arglist>(KExtendedBookmarkOwner::QStringPairList &amp;list)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalFillBookmarksList</name>
      <anchorfile>classKExtendedBookmarkOwner.html</anchorfile>
      <anchor>a09e521f0c138d9b765be1ec9ab6c4b40</anchor>
      <arglist>(KExtendedBookmarkOwner::QStringPairList &amp;list)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIEBookmarkImporter</name>
    <filename>classKIEBookmarkImporter.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>af66c56f27fad02e509b9bcf85775f27e</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>a7b44fa617e33fc7f73db68a1de34c5a1</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>a3e919ceb066c943efe28c35971303924</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>affb4cbecd9ebf257b9d1743075a2b1b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIEBookmarkImporter</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>a736622ffde35da8f3c04eb9d45b559e4</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseIEBookmarks</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>a092548ac4633626052be62973aef32d1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>IEBookmarksDir</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>aca3c0544d3276d0496cf65e559d8af96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseIEBookmarks_dir</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>aa66253b873338f333745fe189d13bb0f</anchor>
      <arglist>(TQString dirname, TQString name=TQString::null)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseIEBookmarks_url_file</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>a3a193c9d80d201e4047578a70979446f</anchor>
      <arglist>(TQString filename, TQString name)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classKIEBookmarkImporter.html</anchorfile>
      <anchor>a202aacd8527db8555a905894ff30dde7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KIEBookmarkImporterImpl</name>
    <filename>classKIEBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKIEBookmarkImporterImpl.html</anchorfile>
      <anchor>a0b411986cf56de7ea51a2e9763d909dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>findDefaultLocation</name>
      <anchorfile>classKIEBookmarkImporterImpl.html</anchorfile>
      <anchor>aeacaf97d0478f283a3c9e245ba6facc3</anchor>
      <arglist>(bool forSaving=false) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMozillaBookmarkImporterImpl</name>
    <filename>classKMozillaBookmarkImporterImpl.html</filename>
    <base>KNSBookmarkImporterImpl</base>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkExporter</name>
    <filename>classKNSBookmarkExporter.html</filename>
    <member kind="function">
      <type></type>
      <name>KNSBookmarkExporter</name>
      <anchorfile>classKNSBookmarkExporter.html</anchorfile>
      <anchor>a593fdd7d173572d3bea890a3292241b3</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKNSBookmarkExporter.html</anchorfile>
      <anchor>a8def5962cee04ef04326c78398665c1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKNSBookmarkExporter.html</anchorfile>
      <anchor>af8b49b4e993da9778e5fc0e3fb9fb386</anchor>
      <arglist>(bool utf8)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>writeFolder</name>
      <anchorfile>classKNSBookmarkExporter.html</anchorfile>
      <anchor>a08f470880d00522bb308968c6eebb2bb</anchor>
      <arglist>(TQTextStream &amp;stream, KBookmarkGroup parent)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classKNSBookmarkExporter.html</anchorfile>
      <anchor>a73bcd812c77c28ae578ff9f0f3e56b05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KBookmarkManager *</type>
      <name>m_pManager</name>
      <anchorfile>classKNSBookmarkExporter.html</anchorfile>
      <anchor>abb0641d82f994d712d8971a9702c7f47</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkExporterImpl</name>
    <filename>classKNSBookmarkExporterImpl.html</filename>
    <base>KBookmarkExporterBase</base>
    <member kind="function">
      <type></type>
      <name>KNSBookmarkExporterImpl</name>
      <anchorfile>classKNSBookmarkExporterImpl.html</anchorfile>
      <anchor>afc4cd5df6339a6676d9123eda24814f4</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>write</name>
      <anchorfile>classKNSBookmarkExporterImpl.html</anchorfile>
      <anchor>a7002e6ad40bbfb3421108c5e12825c4f</anchor>
      <arglist>(KBookmarkGroup)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUtf8</name>
      <anchorfile>classKNSBookmarkExporterImpl.html</anchorfile>
      <anchor>a74bbfd4d1d06018496255a2ed24d9df6</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>folderAsString</name>
      <anchorfile>classKNSBookmarkExporterImpl.html</anchorfile>
      <anchor>a50fe73034705dac0b33f062cd9975b62</anchor>
      <arglist>(KBookmarkGroup) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkImporter</name>
    <filename>classKNSBookmarkImporter.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>aec17b401d4ad172340a13b2a29c10804</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>af3a62a273da31b898064995e17e8d5cf</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>ac675d59f01c99aed1a908725184f1315</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>aabf5639f9e831b63d00ce32249ca28e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNSBookmarkImporter</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>a180d502c4f87ef723e90746a6659688d</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseNSBookmarks</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>a50dedf0838360072d448598d9ff56e3b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseNSBookmarks</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>af73ba5e356081169308f3b0c4fd43b7c</anchor>
      <arglist>(bool utf8)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>netscapeBookmarksFile</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>a4e174246ee2c17abfc434c39bca46832</anchor>
      <arglist>(bool forSaving=false)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>mozillaBookmarksFile</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>ad559fe3659c7e9e9a63d64c9fdb5fddb</anchor>
      <arglist>(bool forSaving=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classKNSBookmarkImporter.html</anchorfile>
      <anchor>a5d450cc5f12d19c3711ee97415bbb3e7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNSBookmarkImporterImpl</name>
    <filename>classKNSBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
    <member kind="function">
      <type>void</type>
      <name>setUtf8</name>
      <anchorfile>classKNSBookmarkImporterImpl.html</anchorfile>
      <anchor>a2e1421906712532ad75c45486cceaecd</anchor>
      <arglist>(bool utf8)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKNSBookmarkImporterImpl.html</anchorfile>
      <anchor>a8a60904b22a328e4ca91ced7f89fbe6a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>findDefaultLocation</name>
      <anchorfile>classKNSBookmarkImporterImpl.html</anchorfile>
      <anchor>a2ba9ddbb2e65123e82cac94eabdfc57d</anchor>
      <arglist>(bool forSaving=false) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOperaBookmarkExporterImpl</name>
    <filename>classKOperaBookmarkExporterImpl.html</filename>
    <base>KBookmarkExporterBase</base>
    <member kind="function">
      <type></type>
      <name>KOperaBookmarkExporterImpl</name>
      <anchorfile>classKOperaBookmarkExporterImpl.html</anchorfile>
      <anchor>a8f1c5d4aa4266bae62ab0b379c84a1d9</anchor>
      <arglist>(KBookmarkManager *mgr, const TQString &amp;filename)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>write</name>
      <anchorfile>classKOperaBookmarkExporterImpl.html</anchorfile>
      <anchor>ad549c8cb7838611e0ac66e069a5aff84</anchor>
      <arglist>(KBookmarkGroup)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOperaBookmarkImporter</name>
    <filename>classKOperaBookmarkImporter.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>a2c2e5e6e97cdaf22c5381820339cb354</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>a1d4f1f71d07893b1150142bfb2f009df</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>ad9d81fb3b2d404b13ffc5e1558b3c10a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>ac0abe81542891bf963e45a61e088f01b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOperaBookmarkImporter</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>a00a24b6c5fc3b06fe391e1e007fd08e6</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseOperaBookmarks</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>ac0829b5ac0eb518950b8fdcfb24b2a1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>operaBookmarksFile</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>a34e159550f5c3116f5c70ebb99dd80a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classKOperaBookmarkImporter.html</anchorfile>
      <anchor>ac39b8a5792f708a7e409c2cf1c63e845</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOperaBookmarkImporterImpl</name>
    <filename>classKOperaBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKOperaBookmarkImporterImpl.html</anchorfile>
      <anchor>ad3027d4af1800e4b7324b9bbfc29e8a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>findDefaultLocation</name>
      <anchorfile>classKOperaBookmarkImporterImpl.html</anchorfile>
      <anchor>a9fa99ebda69b2073ef063fc050c2f0e1</anchor>
      <arglist>(bool forSaving=false) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KXBELBookmarkImporterImpl</name>
    <filename>classKXBELBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
    <base protection="protected">KBookmarkGroupTraverser</base>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classKXBELBookmarkImporterImpl.html</anchorfile>
      <anchor>a05a6f4d630d0e2152bd5549b810580d6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>findDefaultLocation</name>
      <anchorfile>classKXBELBookmarkImporterImpl.html</anchorfile>
      <anchor>a48243dc27881ce1fad648b9a7c5c8952</anchor>
      <arglist>(bool=false) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>visit</name>
      <anchorfile>classKXBELBookmarkImporterImpl.html</anchorfile>
      <anchor>a2a11ef7184a275bb11d46d137ba4ef1e</anchor>
      <arglist>(const KBookmark &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>visitEnter</name>
      <anchorfile>classKXBELBookmarkImporterImpl.html</anchorfile>
      <anchor>a8e4a08af2f0060bc6781e3b6b53d2a11</anchor>
      <arglist>(const KBookmarkGroup &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>visitLeave</name>
      <anchorfile>classKXBELBookmarkImporterImpl.html</anchorfile>
      <anchor>ac3a015396b01728d9694abcd7a8fc074</anchor>
      <arglist>(const KBookmarkGroup &amp;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECrashBookmarkImporter</name>
    <filename>classTDECrashBookmarkImporter.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>newBookmark</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>ad5a4220a4b4935cc177928c7cf8dea85</anchor>
      <arglist>(const TQString &amp;text, const TQCString &amp;url, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newFolder</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a90d2936ff31c18ff80a28beb602df3c7</anchor>
      <arglist>(const TQString &amp;text, bool open, const TQString &amp;additionalInfo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSeparator</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a9a8808d73c42b6acb0278f343beb43db</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>endFolder</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a0dddd1fe86dc37d0706699acb259aacd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECrashBookmarkImporter</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a553aefea3a543127abb25294519d9029</anchor>
      <arglist>(const TQString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseCrashBookmarks</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>af9f5f044c66a2cf72b6e5121828fb80c</anchor>
      <arglist>(bool del=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQString</type>
      <name>crashBookmarksDir</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a7ccd20f63c1a9517ad0adc92e57077be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>getCrashLogs</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a588a09ae59b449c186a0c95050a5a9ee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseCrashLog</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>ae189641bc9e7d0906dec6279aaa2f851</anchor>
      <arglist>(TQString filename, bool del)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_fileName</name>
      <anchorfile>classTDECrashBookmarkImporter.html</anchorfile>
      <anchor>a6742185f108ccfcda3eee930c9297882</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECrashBookmarkImporterImpl</name>
    <filename>classTDECrashBookmarkImporterImpl.html</filename>
    <base>KBookmarkImporterBase</base>
    <member kind="function">
      <type>void</type>
      <name>setShouldDelete</name>
      <anchorfile>classTDECrashBookmarkImporterImpl.html</anchorfile>
      <anchor>a0a43cf9df505465fe02c06c0f2644361</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>parse</name>
      <anchorfile>classTDECrashBookmarkImporterImpl.html</anchorfile>
      <anchor>a9e49e81a5c5858bceddc73c53e146acf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>findDefaultLocation</name>
      <anchorfile>classTDECrashBookmarkImporterImpl.html</anchorfile>
      <anchor>a43308dd48f98d7ba77aa10445c67a6f6</anchor>
      <arglist>(bool forSaving=false) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TQStringList</type>
      <name>getCrashLogs</name>
      <anchorfile>classTDECrashBookmarkImporterImpl.html</anchorfile>
      <anchor>a821a76f77715ded7ea76a9d0eab5ab88</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
