<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>DNSSD</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>DNSSD::DomainBrowser</name>
    <filename>classDNSSD_1_1DomainBrowser.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>domainRemoved</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a6d0cd48eb4bb85d5c76aa6fd3b3772dc</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainAdded</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>aa4573fb15a74bfc9dac6c5c85fe9764f</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a419e53d971234f974e4b8382c1dcf106</anchor>
      <arglist>(TQObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a8cee948c447eb2b74ae93f1a30988d5d</anchor>
      <arglist>(const TQStringList &amp;domains, bool recursive=false, TQObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>domains</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>ae100f1afbdccb63481f87b9ed27de08b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a12fb240ff7116909446af3dc7d8e41c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>ad41dfb1aa7e3069264446a7b7c64394f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a0ce68cac0d8bc49853fa96d63b05bb04</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DomainBrowserPrivate</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a28ed06be15b4eac6ca8ce4720bde59db</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublicService</name>
    <filename>classDNSSD_1_1PublicService.html</filename>
    <base>TQObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="signal">
      <type>void</type>
      <name>published</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a82b92721e5e16120025e7ca227d3acd4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>aae6ce01d49f99da02f60cd666cba377e</anchor>
      <arglist>(const TQString &amp;name=TQString::null, const TQString &amp;type=TQString::null, unsigned int port=0, const TQString &amp;domain=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>add2848571a063846abd8c2ad9a6a5db5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>publish</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>ab6bf6a8885e05b524fe0e11f74d76e7f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPublished</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a0a4924307783876dfc2ac2a57745697b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publishAsync</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>aaba2dcc58ba948a47e59e3096fb9ba8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a5f998863f2a7779656685e75316dc374</anchor>
      <arglist>(const TQMap&lt; TQString, TQString &gt; &amp;textData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServiceName</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>abacc5c95bacfe3f4876f49001cc22d36</anchor>
      <arglist>(const TQString &amp;serviceName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a18bb9078c12b3b348617c844e12d5de5</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a88997bcde16f96ef432e5465ceee6be0</anchor>
      <arglist>(unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomain</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>ae5a9b48a7c51e78bf58fd3c66de6dde2</anchor>
      <arglist>(const TQString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>const KURL</type>
      <name>toInvitation</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a88b1a35d778602bddfa8dc3c78dff429</anchor>
      <arglist>(const TQString &amp;host=TQString::null)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>ab63a78b826bde84d2fabf584f9eb500a</anchor>
      <arglist>(TQCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a995bc985b35cd38f325fe107028abe5c</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Query</name>
    <filename>classDNSSD_1_1Query.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a95bcd3732a1ddc1aa99ba3e0bfc2a69e</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>aa1b5b2884fbddbda62e755eef27d9cb9</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a8bcffc1973fe37309a69f3748e49ce60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Query</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a90a931073bdb2cd6bda904d65dca0359</anchor>
      <arglist>(const TQString &amp;type, const TQString &amp;domain)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startQuery</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a09625dcd2e149600fcf97726a9686dd4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>abed6cbb52c21b66015d2e0f1281f4b87</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a03f6ec44f0df67eeb055d0a957dfb464</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a91a9d460d02a406f96f0b4a92af863ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>abefd9d46146956f623d7dc217c579fdf</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a0fe053afe78bcbebf15238b742fb8682</anchor>
      <arglist>(TQCustomEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::RemoteService</name>
    <filename>classDNSSD_1_1RemoteService.html</filename>
    <base>TQObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="typedef">
      <type>TDESharedPtr&lt; RemoteService &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a08c65798aa344deb7ab66d2523eae86e</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a1582e9715e8e0765cd661a7280ce0650</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a6728081ed9b9ff1dbd9bdcda6bfa0c15</anchor>
      <arglist>(const TQString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a0ea4d04c151f5d48e56a668ab49c077e</anchor>
      <arglist>(const TQString &amp;name, const TQString &amp;type, const TQString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a0f8adb445ef3ca2dde64acf7b2409392</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveAsync</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a232681da1e7feb37068f1738b39c774f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>resolve</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a6c13d09c59beb4bb258fd1327852c4cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>ae91c0f6fd988555ff573e679d51f3987</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a4d937a40a6f173873ebbfd7c44b64527</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>aa71f0bd2d4f1bc5addeea33a9619acb5</anchor>
      <arglist>(TQCustomEvent *event)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend TDEDNSSD_EXPORT TQDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>ae8b2d8361985c0df73452f79a5a7da3f</anchor>
      <arglist>(TQDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend TDEDNSSD_EXPORT TQDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>adf2080c5f44f5a820ef9e5d9858868bc</anchor>
      <arglist>(TQDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Responder</name>
    <filename>classDNSSD_1_1Responder.html</filename>
    <base>TQObject</base>
    <member kind="signal">
      <type>void</type>
      <name>stateChanged</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>af0d455fe73f2807f07f6599d96a7b08c</anchor>
      <arglist>(AvahiClientState)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>process</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>a97157809b498d2752bdb93dba2295e30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Responder &amp;</type>
      <name>self</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>ab3332549e5db0278bc1ce9d73ba3dcc8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBase</name>
    <filename>classDNSSD_1_1ServiceBase.html</filename>
    <member kind="typedef">
      <type>TDESharedPtr&lt; ServiceBase &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ab68269693c401fad7ee4b70ea67a91f4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ab2b3a87260cb0cf21bcace99e71cc801</anchor>
      <arglist>(const TQString &amp;name=TQString::null, const TQString &amp;type=TQString::null, const TQString &amp;domain=TQString::null, const TQString &amp;host=TQString::null, unsigned short port=0)</arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ad42c2ea3388aa251d78b665431e8ddb1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ab48b748da06b96cbbb7789a42f953f02</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a02dce669de7dca0d35310c3f7be80f9e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a56a1d5d1628b818a949d72f86321efb8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>aa026ea0c761590c01a3c6d443efe301b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQMap&lt; TQString, TQString &gt; &amp;</type>
      <name>textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a4244f1f4972ae6b8df4fa07ea04009c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQString</type>
      <name>encode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ae2f26f04956e05c3f8c04234a5a0210a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>decode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ab3552a2fd1519ff5deb6be2762ddf9d0</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>ac7a4b66efc685cd7f04d22895e40ee63</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a24d541c95d565e6f3888c7765e9e37a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>abc6d0cf1704705c805af4d00685094d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a8acceb4cd6f7046d9f286dc70a3f288d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>aff142c93edc18592d8cc0811ab5944fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>aa0720bbf0c463a12c330adbbb1a476e6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQMap&lt; TQString, TQString &gt;</type>
      <name>m_textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a26f0381f7dcf2a44b70e863d241a5479</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend TDEDNSSD_EXPORT TQDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>abc74b2ce76d5c72e2bf73fadecf74790</anchor>
      <arglist>(TQDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend TDEDNSSD_EXPORT TQDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a64351fb6d3d1ef83b2c1d9a92ea1c61e</anchor>
      <arglist>(TQDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBrowser</name>
    <filename>classDNSSD_1_1ServiceBrowser.html</filename>
    <base>TQObject</base>
    <member kind="enumeration">
      <name>Flags</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a10145786fee881ef381335e338142cc8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>State</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>ae9f85071521523b84724e35008de67f3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>ac21109f80038e6b987729a853628809a</anchor>
      <arglist>(const TQString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a59d79df4b15c70ce32d3a1058d1552e3</anchor>
      <arglist>(const TQString &amp;domain)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a0ec829e711803a1581cbf9bfe3a1c74e</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a55ffe360c6e153270c00ed812d7dd21c</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a3c84a5bef984db1d92ba7c9f01ade76d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>ad188020ae734f3877de87a8927cf4dc4</anchor>
      <arglist>(const TQStringList &amp;types, DomainBrowser *domains, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>ad4e33a45ae9c7554ac2ef3eccfad418b</anchor>
      <arglist>(const TQString &amp;type, DomainBrowser *domains=0, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a54f3af80117746b4b9b67185acd88a07</anchor>
      <arglist>(const TQString &amp;type, const TQString &amp;domain, int flags)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a4660bab6b9272bb6a7d9fdbc8daed855</anchor>
      <arglist>(const TQString &amp;type, const TQString &amp;domain, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type>const TQValueList&lt; RemoteService::Ptr &gt; &amp;</type>
      <name>services</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a2135121bd753bb614057072923cd5a0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a0cac558b7221b7be7f5ce2c92ce9cf06</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DomainBrowser *</type>
      <name>browsedDomains</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>af601e99c0c5e3c9da10379aac901f09f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const State</type>
      <name>isAvailable</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>af12dec77721d32b2722e08f8855f4386</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const TQString</type>
      <name>AllServices</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>ad11757d4d31fd776cafc79a1b8832ec4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a7c42a6eeca5160ece54de1007129577f</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
</tagfile>
