<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The KDE Resource library</title>
    <filename>index</filename>
  </compound>
  <compound kind="class">
    <name>KRES::Factory</name>
    <filename>classKRES_1_1Factory.html</filename>
    <member kind="function">
      <type>ConfigWidget *</type>
      <name>configWidget</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>af35c55a07553f3c2bc64633af3b7f087</anchor>
      <arglist>(const TQString &amp;type, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a2bbd8a349412bf06f51a0e379cdcf32b</anchor>
      <arglist>(const TQString &amp;type, const TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>typeNames</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a827a567dbfe13ed5a53855a8401e0c55</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>typeName</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a183113d4400d8832f56be523c7f1efa7</anchor>
      <arglist>(const TQString &amp;type) const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>typeDescription</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>ae86902f13a64adafd73e19d14763a754</anchor>
      <arglist>(const TQString &amp;type) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Factory *</type>
      <name>self</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a3619a7ec7671d9ce13c88975846f5356</anchor>
      <arglist>(const TQString &amp;resourceFamily)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKRES_1_1Factory.html</anchorfile>
      <anchor>a9370f4ca404d23f57d994289f763f1d8</anchor>
      <arglist>(const TQString &amp;resourceFamily)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::ManagerObserver</name>
    <filename>classKRES_1_1ManagerObserver.html</filename>
    <templarg>T</templarg>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceAdded</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>af9da4e8888d0c4091c6b626a5d0b5bab</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceModified</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>a54e8c319cc7923f46787a26b3674d4d5</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>resourceDeleted</name>
      <anchorfile>classKRES_1_1ManagerObserver.html</anchorfile>
      <anchor>a298eb694e2961938c990c819a99210a9</anchor>
      <arglist>(T *resource)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager</name>
    <filename>classKRES_1_1Manager.html</filename>
    <templarg>T</templarg>
    <class kind="class">KRES::Manager::ActiveIterator</class>
    <class kind="class">KRES::Manager::Iterator</class>
    <member kind="function">
      <type>Iterator</type>
      <name>begin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aadcea6067c47680bf6f8d1516b2e26c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator</type>
      <name>end</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a2e9470e64c4da5250a4e0123c0d86408</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeBegin</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac7c9df216d7fed65d0d8da08ef841ba6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator</type>
      <name>activeEnd</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ac9758aee66b4c641a11c5c820f82c8c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmpty</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ab9e82f0ec6a51ac3a832409b127fe54e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aebf96fbd93e7db6153c8d68fd173d85c</anchor>
      <arglist>(const TQString &amp;family)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a456cffb8ea455162b09deb26bbfd731c</anchor>
      <arglist>(TDEConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a0f115c3aa87d0a08377d156bdab45a66</anchor>
      <arglist>(TDEConfig *cfg=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>add</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ae9aae4eef16b84b4eeb0cb61bcd156d4</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>remove</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>af2df50a4440c3124e991b5e007a8cf87</anchor>
      <arglist>(Resource *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>change</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ae6177d41ac51ad9c693f31abb1998896</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>standardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>aec98c5b9f47652777a620811260d876a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStandardResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ad42f3997362e7cd846748f67f06f828b</anchor>
      <arglist>(T *resource)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a27b93780ec8340c268ca2549b53cb8f3</anchor>
      <arglist>(Resource *resource, bool active)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a7d9d749dcd793b484778a575e2589abc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>createResource</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a40322dfaf60a8b4f8a34b916d4bb76f3</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceTypeNames</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a960468332fd72cbfa4cd20bff9557f68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>resourceTypeDescriptions</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>ada446c525143c8e7ed8f82735204f02c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a765188cc09c9089fa20d96e24810e994</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeObserver</name>
      <anchorfile>classKRES_1_1Manager.html</anchorfile>
      <anchor>a05730c9f88ac94d7c9b9020d6afdad46</anchor>
      <arglist>(ManagerObserver&lt; T &gt; *observer)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::ActiveIterator</name>
    <filename>classKRES_1_1Manager_1_1ActiveIterator.html</filename>
    <member kind="function">
      <type></type>
      <name>ActiveIterator</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a247361cb420b2e1f5f6ddf68df9bb581</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator*</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a1a63f0d03f1b8d8fd159894e33ae494e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a78736a7cb463acddbeb8fb866e938c3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a75ce2dafc71b6c5851dd26c7a998262e</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a5276d289beafb1aff1187173198f600d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>ActiveIterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>af16125b3445aa40877d3ddad96320244</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>a08d0b33fae55363a098ea79f85d41ee9</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>ae3cdc533154c8c2c7f4131f950e1eab0</anchor>
      <arglist>(const ActiveIterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager_1_1ActiveIterator.html</anchorfile>
      <anchor>adddd5c43ff870a047aa66db4edf82a7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Manager::Iterator</name>
    <filename>classKRES_1_1Manager_1_1Iterator.html</filename>
    <member kind="function">
      <type></type>
      <name>Iterator</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>ad4d994cf38bcad255d57f3e935c3b346</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>T *</type>
      <name>operator*</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>ad9253ce21457541abcd9e4887133f6e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a3dcfa752a0ec991d992fc4aa7b062de7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator++</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a4669ee06b29ac94189423d1adebcecb3</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a0caf428f92dbb199b583a06f00d59385</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Iterator &amp;</type>
      <name>operator--</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>a519a16926d3147273a0be936c7b174a2</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>ac9593121138d8f543d4badc43373b3d8</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>ad232089a13ad9d3eeaa80bcf79d3f698</anchor>
      <arglist>(const Iterator &amp;it)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Manager</name>
      <anchorfile>classKRES_1_1Manager_1_1Iterator.html</anchorfile>
      <anchor>adddd5c43ff870a047aa66db4edf82a7e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::Resource</name>
    <filename>classKRES_1_1Resource.html</filename>
    <base>TQObject</base>
    <member kind="typedef">
      <type>TQValueList&lt; Resource * &gt;</type>
      <name>List</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>aaea2b27d2af3a32e6c07ed9586545116</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ac8b87b777bae230be74cdc6353c3cc02</anchor>
      <arglist>(const TDEConfig *config)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Resource</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a0e5ec475e2601bdb33644468e86f6f10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>writeConfig</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a88795c3183a2cc2847c075fbcb6cf286</anchor>
      <arglist>(TDEConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a0bace10c217883eea74fbd584ce5097b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>close</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>abd1bb168eccdd27ea4aecbb86836bc62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a4dfd930f90d81362c8e2a64ad2481b39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>identifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>af6bbd8cc7613a4f04eb38293a4e0bb7e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>type</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a38d408257b8ca612e41721db14f16217</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a021163f496e0d69936118a7960edb02a</anchor>
      <arglist>(bool value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>readOnly</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a2a35a353d26abefad3ecb113ee5c5de4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setResourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a7583db2f656bbe3e0b07ec4572fc0717</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>resourceName</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a5f8967f99af9b42b852e53b82696923c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>adbbb6904d693a1e82470c00af000ed1f</anchor>
      <arglist>(bool active)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a879c67fdfc7b040a96925bb24400cb19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dump</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a6b66cd10ba2b00886d0b191622be9c38</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>doOpen</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>ac525d54a65c98f1c6828f7bfebaa4461</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>doClose</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a32c51122eeca72ecdce1ad9897bd2e5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIdentifier</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a408f222437600549f7405e27955ebf92</anchor>
      <arglist>(const TQString &amp;identifier)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>aee98278be3878f2bb37b4f57b7e5cb40</anchor>
      <arglist>(const TQString &amp;type)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Factory</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>a328c093d609680cca505905c6d49901a</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ManagerImpl</name>
      <anchorfile>classKRES_1_1Resource.html</anchorfile>
      <anchor>acb9dc953d201e3c2d9c5da9d54b44b23</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KRES::SelectDialog</name>
    <filename>classKRES_1_1SelectDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>SelectDialog</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a3f0e4a6a44bba12a4d0813d7899337e0</anchor>
      <arglist>(TQPtrList&lt; Resource &gt; list, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>Resource *</type>
      <name>resource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a3d35766a5a28be867cf15c7ec422d9cf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Resource *</type>
      <name>getResource</name>
      <anchorfile>classKRES_1_1SelectDialog.html</anchorfile>
      <anchor>a37a99783bc4a08a804e135c8fcfb436a</anchor>
      <arglist>(TQPtrList&lt; Resource &gt; list, TQWidget *parent=0)</arglist>
    </member>
  </compound>
</tagfile>
