<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Some random bits and pieces</title>
    <filename>index</filename>
  </compound>
  <compound kind="group">
    <name>main</name>
    <title>Main classes</title>
    <filename>group__main.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KMultiTabBar</class>
  </compound>
  <compound kind="group">
    <name>internal</name>
    <title>Internal classes</title>
    <filename>group__internal.html</filename>
  </compound>
  <compound kind="group">
    <name>findreplace</name>
    <title>Find and Replace classes</title>
    <filename>group__findreplace.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
  </compound>
  <compound kind="group">
    <name>plugin</name>
    <title>Plugin handling classes</title>
    <filename>group__plugin.html</filename>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>settings</name>
    <title>Settings UI classes</title>
    <filename>group__settings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>tdecmodule</name>
    <title>KControl module classes</title>
    <filename>group__tdecmodule.html</filename>
    <class kind="class">KCMultiDialog</class>
    <class kind="class">TDECModuleContainer</class>
    <class kind="class">TDECModuleInfo</class>
    <class kind="class">TDECModuleLoader</class>
    <class kind="class">TDECModuleProxy</class>
    <class kind="class">TDECModuleProxyIface</class>
    <class kind="class">TDECModuleProxyRootDispatcher</class>
    <member kind="define">
      <type>#define</type>
      <name>KCMODULECONTAINER</name>
      <anchorfile>group__tdecmodule.html</anchorfile>
      <anchor>gacedd0c5a0b0fc9bb8aff94df7f9cc36b</anchor>
      <arglist>(modules, factoryName)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>multitabbar</name>
    <title>KMultiTabBar related classes</title>
    <filename>group__multitabbar.html</filename>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KMultiTabBarButton</class>
    <class kind="class">KMultiTabBarTab</class>
  </compound>
  <compound kind="class">
    <name>KCMultiDialog</name>
    <filename>classKCMultiDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>abf8d7b3c52fd90d348c680b8a067aee9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a5365ac6cd7229c0cad4e67946192e471</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a9a98918740f566757fcaaba37ab68f92</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a807d6af08f5b47b1725611cb4c0a6df9</anchor>
      <arglist>(int dialogFace, const TQString &amp;caption, TQWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a2f918525bcb351bf82a7742bdea1587c</anchor>
      <arglist>(int dialogFace, const KGuiItem &amp;user2, const KGuiItem &amp;user3=KGuiItem(), int buttonMask=User2, const TQString &amp;caption=i18n(&quot;Configure&quot;), TQWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a88fdcf3a3569b9097cad0364a7b428f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a74a2142df0398cc015f36bf18f480258</anchor>
      <arglist>(const TQString &amp;module, bool withfallback=true, TQStringList args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a2b0f0d157fbeff8d22552d511d66d362</anchor>
      <arglist>(const TDECModuleInfo &amp;moduleinfo, TQStringList parentmodulenames=TQStringList(), bool withfallback=false, TQStringList args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAllModules</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>af2ae2d273211ee137a67a01fe244df25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a88895c85c449a25a9b91c48de3a8f22b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>aa18c0253a7cf99662f0cfd11f9a955b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>ac65df4021c119c0eb0659edd0261476b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>af3318dc97ed7640892714ea001079d27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a7302c5cd148118d994d5442b233edee5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotHelp</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>abe9931a715ecf85eda04a46e1900785c</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <base>TQObject</base>
    <member kind="enumeration">
      <name>Result</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086faba61fbb9416d27f4ca375335f6aadf5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Match</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a40a6b946c7c572127a8bc03f0983086fafbed2acec3f17225b88e7e8d7d4a6027</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ad7ec5c1e38c0a34e1eaa33164a652a39</anchor>
      <arglist>(const TQString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a657f5d8ff4bfaf4fbdcb06f31ce0951b</anchor>
      <arglist>(int id, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a8dda59166d3c8893737675328312c7a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a8930ac96f7c34f1c2a923f423b78ae80</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7b8095f6465290037a18fb10e55303bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a39c9d472b36dd651d63b323d9dd5cc84</anchor>
      <arglist>(const TQString &amp;pattern, long options, TQWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a715bced09968788da5898da98db4cb7b</anchor>
      <arglist>(const TQString &amp;pattern, long options, TQWidget *parent, TQWidget *findDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a57d3de5351a9271151bc7f7b11420fae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ac2aa31c56ce6137e2c15672643ec0d39</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ae61cee8fb64849d69abf7020565cd1c7</anchor>
      <arglist>(const TQString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>af438f5f9dd234f86c5e90f1fbd874054</anchor>
      <arglist>(int id, const TQString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>aeca9357cf928ce7bf0e63e695e13572e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a5aac4ccbdf73d8ee87c332f7e41484c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ab81a0a207642b5040b7f70aa7554e2a6</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>pattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afb302af7fb88c342f6d2ae64dec22206</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>aaa0528910ff3fbc12dc31a1a94b5d839</anchor>
      <arglist>(const TQString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a48e3acd3fc80b9209789b25269c5ece2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afb374c90fc8ee5c1f21f84d934b0df35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a277dc8b8c842a8b2e0cda9f771d41792</anchor>
      <arglist>(const TQString &amp;text, int index, int matchedlength)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a0cdf16a51c2ddd48d647ef20faf4c5a8</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>afe38e946ffcdbfcc60597bd80e5dd032</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a27f97b3e09a67a156655e7a7b81ea871</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7463d233cf533cab1517a04a2bee0d59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a9000c1387affd5f1e95b81b6136cec3a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>acaf550d97e0abef0ba41be9809e60975</anchor>
      <arglist>(const TQString &amp;text, const TQString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a4da41728ca74d3c05acec6b52aeb6523</anchor>
      <arglist>(const TQString &amp;text, const TQRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFindNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a26a586cee651921df2bb255552ee8451</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a63d9775035c980ee45188f7777ff766e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ac28e4546f4eb1a1cfe2ad3ebf9793bff</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>TQWidget *</type>
      <name>dialogsParent</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a06e4f9916a2aa6793e0d91b735ba8143</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplace</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a1e801c845634e887e0fc2df5e3360827</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WholeWordsOnly</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a5db7cf21128345e29602c83cf31eb19c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FromCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a2c100196ebf03c67436f1132cd8f79be</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SelectedText</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a74916e2d530bacb0b06c99a8b2e61bdf</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CaseSensitive</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2aa072953f74644bdc0e459f4fe6227d4b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindBackwards</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2ac3d27a1c47e0d6fee6c0b6476c1a5ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RegularExpression</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2ab05d90b001a3665b45d4ec4d1587f24d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindIncremental</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a09ee480d328c85c829b1ea760af72557</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MinimumUserOption</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af23ee57e25537375669364b87e16eac2a940719022d63a2c2b57ba145dc03b37f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a73da180bfd6b97a3152ff55e10f133c2</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, long options=0, const TQStringList &amp;findStrings=TQStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>af1f03ddf8a51ab986285a7a3aca923b7</anchor>
      <arglist>(bool modal, TQWidget *parent=0, const char *name=0, long options=0, const TQStringList &amp;findStrings=TQStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a430c00801898700de804e01a5bbf081d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a1613d3e9773b94893a111e3b08122993</anchor>
      <arglist>(const TQStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>findHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ada4069f926dc676ab3caecff0f19aace</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aa90691a0c749be71352ed4dd6a08ca63</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a6be903cddc210f1d687f47b345ba645a</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsBackwardsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a47b113ace4556b15871844103f9acc1a</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsCaseSensitiveFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a87539c237ffabe9ecd5874d2c3932c8c</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsWholeWordsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a789152a36772e4619785038adc456730</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsRegularExpressionFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>aa11afefb57b18afcd0d7d1a6a0369349</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ae512813bd5ec4da5bbb495e81edec9fb</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a7dc54f0e4005292eb28669b1c9b59946</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>pattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a3c0328aac68437d64df2b02a87b30121</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a00a042a5df061ba26bf6a93ecee4f787</anchor>
      <arglist>(const TQString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>findExtension</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>abec0f9f4edee8bf8da0e530d63167197</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a849a8af159e5044e01f6fdc2da806f9c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectedTextToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a439fe284d978f0cc48f761ff9d6b9513</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPatterns</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a2596dd5c44ec589c0c0a00f6a5951226</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPlaceholders</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a7d01b893f06ec03c4edfafa2242ef22a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textSearchChanged</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>adec73e69f7717cb025670a3411ae64d1</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRegexCheckBoxToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ad166c58e0c3fc07060526e5652fadea5</anchor>
      <arglist>(bool checked)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPlaceholdersCheckBoxToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a074995571cdc94fc40161c8d99790e02</anchor>
      <arglist>(bool checked)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a98c0b7314d71794c58138dbe02c94255</anchor>
      <arglist>(TQShowEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplaceDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a72e96c98c853c5ed4ea1db359c43e4b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBar</name>
    <filename>classKMultiTabBar.html</filename>
    <base>TQWidget</base>
    <member kind="enumeration">
      <name>KMultiTabBarMode</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Horizontal</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16a5dadb3be50644859ff39746a0aeaa6ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Vertical</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0c742143243f1af4e1314aefe0228a16afe09579a0c226a5eee45eb23145e9552</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Left</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a4eb06652ff388e811245e9774d857aeb</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Right</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81ae2542940b6086aea190dbcb41943f514</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Top</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a048e2477360454066139746f91284cc6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Bottom</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9a85fb21237e5e91f7f2a09b75c96c81a622e0ffdaf4015357d3a275f2653677c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>VSNET</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827ae4211116578a09724a5a9822aa865b28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827a662aeff664d13636fc3d64a66bee1cc9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KONQSBC</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827aeb717e65bc739e0c7d3837cd7f0da951</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3ICON</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827a946c48526f0d2fceeb326f5316f19d6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STYLELAST</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1620e3aa198963c7d94233050139c827ad9c565d065a3a8cee8d3f15c04499f84</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a109dd31e973ad206641356582e973e6c</anchor>
      <arglist>(KMultiTabBarMode bm, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a6671d93740d929dc29e3a74b048d96be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1ea43e335b533de359c5b985ac1f5380</anchor>
      <arglist>(const TQPixmap &amp;pic, int id=-1, TQPopupMenu *popup=0, const TQString &amp;not_used_yet=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a859735c1d2894592f72ffc4cdffea925</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a74b254d95b8d25d9bbdce4b27b25170b</anchor>
      <arglist>(const TQPixmap &amp;pic, int id=-1, const TQString &amp;text=TQString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a4d40d8a6c782f9cc4bc14ccf58b3dc61</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a980a791e5e0ced19f44450f07cefea33</anchor>
      <arglist>(int id, bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTabRaised</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a11f1c4e15bdbee6dd5d842e5e5774c94</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>class KMultiTabBarButton *</type>
      <name>button</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ac478b9971feb76407be43dbd7856c1a8</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>class KMultiTabBarTab *</type>
      <name>tab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3d942bf481fae6127d9e5a622ade1f83</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>af9703bd69213a947ad2664a96fdebff8</anchor>
      <arglist>(KMultiTabBarPosition pos)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarPosition</type>
      <name>position</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ab05bd8358bfdc5faf643ad4fe390204a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a086faf12628a486a0e76ff8b66a2e7ed</anchor>
      <arglist>(KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarStyle</type>
      <name>tabStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a363e8c2cd6cc9ed0895f1cacfbbda7d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; KMultiTabBarTab &gt; *</type>
      <name>tabs</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a48035c2acf6be03119e0489e770a2e08</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQPtrList&lt; KMultiTabBarButton &gt; *</type>
      <name>buttons</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>aee2c1a22499ded6e01df9e7144f97ece</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabTexts</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3dc4ecb462dae3e8b1465ee64db9415f</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>fontChange</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>aa110ad9e85afbd498dc81bfd8e17fc2a</anchor>
      <arglist>(const TQFont &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateSeparator</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a93b021eb094d2ba0fc701d127e6ce623</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a8ca7ce68560afa429d0df519f8630861</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarButton</name>
    <filename>classKMultiTabBarButton.html</filename>
    <base>TQPushButton</base>
    <member kind="slot">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a28a2d1c45ab1574aa05259e7e0a960b3</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a37c72768023035a048b700b2e3bb093f</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarStyle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>ad223ff6f2519e9f76b7497219f49d596</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>TQSize</type>
      <name>sizeHint</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aa85354936c8626bd4c72200412ddd49e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a4cadfe9100574c003ef22326f9cd177a</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>afb11d3a0f27ecad723c036e48c010c75</anchor>
      <arglist>(const TQPixmap &amp;pic, const TQString &amp;, TQPopupMenu *popup, int id, TQWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a7183d639ed210aeecf7341d34b88d1f3</anchor>
      <arglist>(const TQString &amp;, TQPopupMenu *popup, int id, TQWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a853eddd04f99c8d604972b2c6ade7a34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aa5edf5c8bdcfe1121ee4e34f36440ed1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a960ab88c1eea0c80ff6637f6b907a782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>hideEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>ab8e2cf6b35982a35385cc53491e7a09b</anchor>
      <arglist>(class TQHideEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a47bfce618b39cf0577dbc1a0a3db23d3</anchor>
      <arglist>(class TQShowEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarPosition</type>
      <name>m_position</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a37c71a4f246b0704c57053a96020c941</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarStyle</type>
      <name>m_style</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>abe7c46e7076557ca4a725a29f6e86216</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>TQString</type>
      <name>m_text</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aab49508b30d423382c1fa114bd759f73</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarTab</name>
    <filename>classKMultiTabBarTab.html</filename>
    <base>KMultiTabBarButton</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>adf667c0c6bbde1e8c5c5eb9c534159f6</anchor>
      <arglist>(const TQString &amp;)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a899b048d2a494c7ad46867260b813cc1</anchor>
      <arglist>(const TQPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>add82fab293b41ee99215c8434f434fdc</anchor>
      <arglist>(const TQPixmap &amp;pic, const TQString &amp;, int id, TQWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ae31b214dec88f8d20d94e26c263f3de8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>aa7730576dccb4c0ab2ad6cbc66bae282</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabText</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a745d630a684af3d267dc6a23b85e8c7e</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a83866ba19205878481e087db34a8f5b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a7ef35b81ba26940c08a4250f7c3d9238</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTabsPosition</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a6fa70a8f3d62bbcd8b15458a90baa66d</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ae7b609db77c31398fe0a65fb1c8f65a9</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>neededSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a4caffdc4ea7fcdbbc9cf70542064a72a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a8cef7fa760f3961f835b07b6f72a8013</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButton</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ade0e361550893440b7aae251403ec798</anchor>
      <arglist>(TQPainter *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButtonLabel</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>af7ffa239037c4e6f9f74512f5fbd14b0</anchor>
      <arglist>(TQPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonStyled</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>af559c072599da712127f7be45803a648</anchor>
      <arglist>(TQPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonClassic</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a81fb8aa0d58e19d9d9cd738afac19428</anchor>
      <arglist>(TQPainter *)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarInternal</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>aa7ce0be4a81bcee3c17f699bd355ecb9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginInfo</name>
    <filename>classKPluginInfo.html</filename>
    <member kind="typedef">
      <type>TQValueList&lt; KPluginInfo * &gt;</type>
      <name>List</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a63fb26222468747ff26813bb13d32bcf</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aee45f5742d62f03eedb4f4a63a884816</anchor>
      <arglist>(const TQString &amp;filename, const char *resource=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9a1dc91305cbcc4467dd8faefd9c54be</anchor>
      <arglist>(const KService::Ptr service)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHidden</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae65db0e474f0047f2d55171d494c8ec3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ac453ae934eb0711dd88647b5d0f0d2dd</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>afc75fa17725a4264f0283f56f29d9f2b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPluginEnabledByDefault</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a43d49fdeb7245920813fed27fa97eaa6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQVariant</type>
      <name>property</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a050f9e6015e10928d8dfb8fdf63e5cba</anchor>
      <arglist>(const TQString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>TQVariant</type>
      <name>operator[]</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2ccd90d1496cef1be0ad2df58dd34311</anchor>
      <arglist>(const TQString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>name</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae5432f8359c406d72788c00a4506aaac</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>comment</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a5c728593fe03c445a0f9517cce100504</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>icon</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9ab08e5d0b056d3f84207746856fa4e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>specfile</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a0f572a3f8e4c0b52150d8999f2af5620</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>author</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ad4407faaa2d50945d33f7e6ddd2160d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>email</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ad0097af999b2a55ebd11501827f58ef7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>category</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab5c1d2b540fb5b5c88714eedc63fd8fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>pluginName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a97dd80fef892d773931a79ea62edf96f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>version</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a3665b44a228f48b1cd130f4d0ffa93ab</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>website</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a06018fd59ea5bd9b1432c2cb63110285</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>license</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab48a0aefa672cd58f64a44c0bf1099b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>dependencies</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>afeeb2f93890ef04ce6e6accc55a4f18c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a8595e32a60c731324c4f52fd2d4987f2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQValueList&lt; KService::Ptr &gt; &amp;</type>
      <name>kcmServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae6849ce660de55b2dee5e05f417e39b7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ae9f330165aba1a6acbf965445cf7fb23</anchor>
      <arglist>(TDEConfig *config, const TQString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>TDEConfig *</type>
      <name>config</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aadcba610bcc9a9e309e98a48d3f05071</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQString &amp;</type>
      <name>configgroup</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aabdf5299a2d810f5571322bffbc500be</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2cb8ebe4954ba4eaf8edec4c183573d9</anchor>
      <arglist>(TDEConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>aa8dd205350e822025d16341057a026a7</anchor>
      <arglist>(TDEConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab2d62b88fec5f9fa67f9b18ca87f0234</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a72db3a5406c51ea04f61c7bbfceb76e9</anchor>
      <arglist>(const KService::List &amp;services, TDEConfig *config=0, const TQString &amp;group=TQString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromFiles</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ab4cb6cec982a689e0f7cdda63b71064e</anchor>
      <arglist>(const TQStringList &amp;files, TDEConfig *config=0, const TQString &amp;group=TQString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromKPartsInstanceName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a52c4778f44e790d2a0660d904adfbabd</anchor>
      <arglist>(const TQString &amp;, TDEConfig *config=0, const TQString &amp;group=TQString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginSelector</name>
    <filename>classKPluginSelector.html</filename>
    <base>TQWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>aa52dd0b1a3a871756def87c2c9d6918c</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>aad1291bd09b71d0d2e482ebfee7e651f</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a788bac6bcfe1f1ce548cfdbc29d69c33</anchor>
      <arglist>(TQWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a779c804bda1fa6e263044fb16296b884</anchor>
      <arglist>(const TQString &amp;instanceName, const TQString &amp;catname=TQString::null, const TQString &amp;category=TQString::null, TDEConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a6e41127df368a7bd25a1aebaee2f7267</anchor>
      <arglist>(const TDEInstance *instance, const TQString &amp;catname=TQString::null, const TQString &amp;category=TQString::null, TDEConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a68a29775c3b8a88702491cd5805b7ca8</anchor>
      <arglist>(const TQValueList&lt; KPluginInfo * &gt; &amp;plugininfos, const TQString &amp;catname=TQString::null, const TQString &amp;category=TQString::null, TDEConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyConfigPage</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a312919a6575d2952dbe82209832b9247</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ab028a22b586d0698f61cb3f5b54ae7b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ad9e0185ec6b1ab4dbb532b92d52496d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ac8e384839a14d0bdf17c0c8a6a93d7cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPluginSelectionWidget</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ac9630545e7cbad6daecc8219b51c2bb8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a1fe8a819b3e789ed31b93cb1b16b4b0d</anchor>
      <arglist>(const TQString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>acc4ecd8911fc7cce1b29b32b5055eba5</anchor>
      <arglist>(const TQString &amp;pattern, const TQString &amp;replacement, long options, TQWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>aeedf9e096ee9f7555eaac9da8c325a17</anchor>
      <arglist>(const TQString &amp;pattern, const TQString &amp;replacement, long options, TQWidget *parent, TQWidget *replaceDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ae1867c23a1a814d7a341ccdb203eb141</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ad8d728e77616b2e0554d4d1390f1afb0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a9a17ef8077940fe22bc4596308e3b513</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>abcdf792c73f9971964db69a90a36c030</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7145c5261063c8e789da58062c7ceb11</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>ac7c64ccb2e4a416507774ed8d6781cfe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7988a0b910f65e972ef7d12c8a538f01</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a97ff667380c4adb8916bd0cbcf96f512</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a40f53719e8fde92c9a6e6e792ffd00e0</anchor>
      <arglist>(TQString &amp;text, const TQString &amp;pattern, const TQString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a179f660c6b9f1d364e73c11e705941d8</anchor>
      <arglist>(TQString &amp;text, const TQRegExp &amp;pattern, const TQString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSkip</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a74e5439d742312ea4bb53578dd61e2fb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a061977e0f0c60369a5f2e7465e86b84a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplaceAll</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7bfc3484ac99173cf85ee89532cc8f10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac1bbf85bce9e1fc016fc9146e2de413d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PromptOnReplace</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac1bbf85bce9e1fc016fc9146e2de413da7d7b7b184c2f0f654b3a6625525c10b5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a70f8f34e5039386488132d0c1822d73f</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, long options=0, const TQStringList &amp;findStrings=TQStringList(), const TQStringList &amp;replaceStrings=TQStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a87f5246ff389c39d86417b6569ca1e16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a2c4046c43dbe544ff5c963515cab8cf0</anchor>
      <arglist>(const TQStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>TQStringList</type>
      <name>replacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a251d8f02f69cc95aff1a15cb30ca7516</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a700baff2041d9fc8db6b26310061ca94</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a998b98210fc15efea0b4af4bea3de8c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>replacement</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>abc1af7b8f3e4613939f9f227dfec147a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQWidget *</type>
      <name>replaceExtension</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ac60f80bfdb7c36c1bf32ec3b9f84c6c1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a9b27f9074cabdb9dc1a1dd53f5135684</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a99f6fdf57d12ad07003ecc4d05f155bd</anchor>
      <arglist>(TQShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECModuleContainer</name>
    <filename>classTDECModuleContainer.html</filename>
    <base>TDECModule</base>
    <member kind="function">
      <type></type>
      <name>TDECModuleContainer</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a175ccc182965cb30237d27f50ba26137</anchor>
      <arglist>(TQWidget *parent, const char *name, const TQStringList &amp;mods)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleContainer</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a8d3767e5f7a2ce1ebdf1cefb0c8d54f6</anchor>
      <arglist>(TQWidget *parent, const char *name, const TQString &amp;mods=TQString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>ae09718656b7ebcadbc9476a19a03c823</anchor>
      <arglist>(const TQString &amp;module)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TDECModuleContainer</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a71412da1271e1a8916a878df58066ea0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a63b1b333201b5b0d96d140f8b7ff3db2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a74a2ef1574ee9811f109f6bacc61b3f1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a0bff01f874aec6c161474b10f552694d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual TQString</type>
      <name>handbookSection</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>ae90e34472e6ad780c4a956494d6334be</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>TQValueList&lt; TDECModuleProxy * &gt;</type>
      <name>ModuleList</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a68839cb1c8c436e9dbad7f4627b8c450</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>ae9bd69e1703b07694cedd202c4240ede</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>changedModules</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a0e55c7f69e00f11779dfb88008bcd13a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>allModules</name>
      <anchorfile>classTDECModuleContainer.html</anchorfile>
      <anchor>a9ea633e6daf1db0970d56086f92341b8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECModuleInfo</name>
    <filename>classTDECModuleInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>TDECModuleInfo</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a70dc837eab1a0868536a90964237461d</anchor>
      <arglist>(const TQString &amp;desktopFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleInfo</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a365144209006d79542c4cc2fa69f8601</anchor>
      <arglist>(KService::Ptr moduleInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleInfo</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>ad7743f8698e004482a68e75dcb9a9415</anchor>
      <arglist>(const TDECModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleInfo</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a6b79a9a28f86fb954a27d2341ce85100</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TDECModuleInfo &amp;</type>
      <name>operator=</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a724a0bfd9a9d5841537d2bdadd1b8f78</anchor>
      <arglist>(const TDECModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>ac58e1e6d71bdbe17af039b85bef900c0</anchor>
      <arglist>(const TDECModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a80d1fba47f21c3d22b1ea991d79f2c84</anchor>
      <arglist>(const TDECModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TDECModuleInfo</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a78ee0b4a22677adcc9133b8716c020cb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>fileName</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a7242c29dec17d9e8572e476d78dfd937</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TQStringList &amp;</type>
      <name>keywords</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a94945f5a452ed8cc8f8436cfae993e70</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>factoryName</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a8a43e5242f6271c20dd867ac009b0f4d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>moduleName</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a0604186d9c538c30766f4501933bf0be</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a995e0e9996fb3ac54fdb29d78ff63885</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>comment</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a25494a040516caa7935809d044bb9c8c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>icon</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a87bc8e658d6009d7ed922b193e7d5f89</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>docPath</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>aa3fae9180a189d6116997aef5e6b9f22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>library</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a89bc7d9e8c0ae8a4fef3817b124a694e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>handle</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a49eef2044d772e85b8ab257c64bb359e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>ab4321eb3fb4475c693c2ff7f3648b5d1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsRootPrivileges</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a652fba8a46efecee05bcf193c9a6c913</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHiddenByDefault</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>ae26531f2021413417feea546e4a2a50a</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsTest</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>abc028d02fe3d97492d727dd1c64c1af7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setKeywords</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a3ae99630210b8586344ef8884187bcd7</anchor>
      <arglist>(const TQStringList &amp;keyword)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>aa682746ec79448d411b16e804d2b855a</anchor>
      <arglist>(const TQString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a004d22f7914f2f448ed8476fc5fd0e66</anchor>
      <arglist>(const TQString &amp;comment)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a33ae3348c14c2c58e27ada30056a4c3b</anchor>
      <arglist>(const TQString &amp;icon)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLibrary</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a35a302869291248a4a560b476f7823af</anchor>
      <arglist>(const TQString &amp;lib)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHandle</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a6bfa1bbaf66969fa511a51a1250cc655</anchor>
      <arglist>(const TQString &amp;handle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWeight</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a3cb4df7e0cfe1bda1ce7b89052afa2b8</anchor>
      <arglist>(int weight)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsTest</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a62db4ef376bc65de724747b178c8931b</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsRootPrivileges</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>afd5a00553c5b8a075ef1c12fe4eb555e</anchor>
      <arglist>(bool needsRootPrivileges)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsHiddenByDefault</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>a200f8cc433b0ee7a1e16720662a92cb5</anchor>
      <arglist>(bool isHiddenByDefault)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocPath</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>ae5a42ebc3a97f160ee957951c30e62ea</anchor>
      <arglist>(const TQString &amp;p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadAll</name>
      <anchorfile>classTDECModuleInfo.html</anchorfile>
      <anchor>ad222f4dd389b224991744e91b3910ff8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECModuleLoader</name>
    <filename>classTDECModuleLoader.html</filename>
    <member kind="enumeration">
      <name>ErrorReporting</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ac47a88d18125b06ee5298d9c2397b5ad</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ac47a88d18125b06ee5298d9c2397b5ada7ecb830258e73daa4b4a79eb762324d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Inline</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ac47a88d18125b06ee5298d9c2397b5adaaf0aa59086420be1453fb8e455a8af1c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Dialog</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ac47a88d18125b06ee5298d9c2397b5adac4f61da9fcd7accbf00d53daf3c46ec0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Both</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ac47a88d18125b06ee5298d9c2397b5ada89e54c6853a524dac20b39cfb1eb48ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDECModule *</type>
      <name>loadModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>a4eaec192b586677475aee42ac7dc99f2</anchor>
      <arglist>(const TDECModuleInfo &amp;module, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDECModule *</type>
      <name>loadModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>a367680eda2be843ee01ea80702fabffa</anchor>
      <arglist>(const TQString &amp;module, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDECModule *</type>
      <name>loadModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>a4c3c77f9f99d1433bb883108fd95f0f4</anchor>
      <arglist>(const TDECModuleInfo &amp;module, ErrorReporting report, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDECModule *</type>
      <name>loadModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>a468aa9dc2f10b22d1afceea0c66caacd</anchor>
      <arglist>(const TQString &amp;module, ErrorReporting report, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unloadModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ac9ce8f41100664aee23fe802fa3d8775</anchor>
      <arglist>(const TDECModuleInfo &amp;mod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>showLastLoaderError</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>a4fb37b46810477f9e8716c95c9744428</anchor>
      <arglist>(TQWidget *parent) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>abff80ef246242803e8e0dc2bdb647e65</anchor>
      <arglist>(const TQString &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>ad49a403a11dcaa8a7121000fb14b54b6</anchor>
      <arglist>(const TDECModuleInfo &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static TDECModule *</type>
      <name>reportError</name>
      <anchorfile>classTDECModuleLoader.html</anchorfile>
      <anchor>a621cd1adf0c42388d11b48871d62cd63</anchor>
      <arglist>(ErrorReporting report, const TQString &amp;text, TQString details, TQWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECModuleProxy</name>
    <filename>classTDECModuleProxy.html</filename>
    <base>TQWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>runAsRoot</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aef7ba5b43a23523046be08fabfedd22a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a856f99507c7573a77b9b53f1cdf7e32d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClient</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>ad742c396abf2c0e04e58a91ad5a69dbc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a44ea9a65f76fb6523aa513f620cc83cf</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a6a6956920df3d150b55e920aa64ebe23</anchor>
      <arglist>(TDECModuleProxy *mod)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>childClosed</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a6b6c9274af2dd97f4397c05cdf5481fa</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a74a40a8408addd70db5200b248f418bb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleProxy</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a429102af6dedda4f5cc03189e11069da</anchor>
      <arglist>(const TDECModuleInfo &amp;info, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleProxy</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aa679ea3e785c123fd4eb2bb1682047b1</anchor>
      <arglist>(const TQString &amp;serviceName, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TDECModuleProxy</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aa1c658d75ab45a3376c32e4bfa790e6a</anchor>
      <arglist>(const KService::Ptr &amp;service, bool withFallback=true, TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~TDECModuleProxy</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a3548f48037b92a84f18ea19926ad0156</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>ab75963f226da657cb9b26b882b33bdd0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aa7ca106b98c56c4937b8716c41a2c432</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>quickHelp</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>abc6a4c11cfc72473773c4d2bb42677da</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TDEAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a79260dfecc2d245715fab1c5106071a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>handbookDocPath</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>ab75311fc7cab2fe87ad57c75bf21a53b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>handbookSection</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aa17fa6e8c9bc1cc6ce1ba931475ebc0e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aa1e16de26c70fd6b264ab0a9e4142376</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQString</type>
      <name>rootOnlyMsg</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a7e0e14219d221927c591fcd4e2b87b81</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useRootOnlyMsg</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a8b84295364dcf01e24a547e7be716f9c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TDEInstance *</type>
      <name>instance</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a880f90c3b4b5ed0deb162b3a47fb9206</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a982c6b66f4e25532287e861afca9d8fb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootMode</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a513c1cb40d65738b90f62cb67302e577</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TDECModule *</type>
      <name>realModule</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a59f481d65c89132310b8d0110075a289</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const TDECModuleInfo &amp;</type>
      <name>moduleInfo</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a3828c474d2d060cd0a9977e641b9b9b5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>TQCString</type>
      <name>dcopName</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aca691c2b26f574ff3a9b1da8051583a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a2568556cdea09a4504753289819a7ef3</anchor>
      <arglist>(TQShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>aa49b4e09cd23468217c7b8524f958329</anchor>
      <arglist>(const TDECModuleInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitQuickHelpChanged</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>ae7294a2f59d2b2f0045900af2d58ac46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>TDECModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classTDECModuleProxy.html</anchorfile>
      <anchor>a95857acece907e2c2985e66a62dbf3de</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECModuleProxyIface</name>
    <filename>classTDECModuleProxyIface.html</filename>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classTDECModuleProxyIface.html</anchorfile>
      <anchor>af75990e9ffec5da012c032d5350b56d1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TDECModuleProxyRootDispatcher</name>
    <filename>classTDECModuleProxyRootDispatcher.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Dispatcher &gt;</type>
      <name>ksd_kpd</name>
      <anchorfile>namespaceKSettings.html</anchorfile>
      <anchor>a7d98d797cc873a54feba83fa2784e2b5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::ComponentsDialog</name>
    <filename>classKSettings_1_1ComponentsDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>ae267572363ee491cda946d888740f1cd</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfo</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>afc8b1cc92e1f016b3946e8c69c562257</anchor>
      <arglist>(KPluginInfo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a48670fafcb2d1f6c8038527e0e5aa5fd</anchor>
      <arglist>(const TQMap&lt; TQString, KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>af40f1ebaad83a1a55c46f9228e070372</anchor>
      <arglist>(const TQValueList&lt; KPluginInfo * &gt; &amp;plugins)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>adcbed79beb4fd2da550722f41de0d6ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a7344f9e8430961f16dfad83dd210de51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a4b80f8f46306de35969f71f1deadff44</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dialog</name>
    <filename>classKSettings_1_1Dialog.html</filename>
    <base>TQObject</base>
    <member kind="enumeration">
      <name>ContentInListView</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Static</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8a0e93fe741196b7f3372582e241c6de29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Configurable</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0e9d24a330999f1accd4d85cc03e2ff8a7282e6771a1a979f50a3556e24a15cf6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ab5095a88e53d108e543b1364253f0e65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelectionChanged</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a042e3d089adcd43091b36bdc6c039e95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a213ec70b1892ddaf594970d4e80d7c17</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a61a7f41d6d71eda755c2cd422a508add</anchor>
      <arglist>(ContentInListView content=Static, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ab46b4dfdbfaa42cdbd2e8ba5f4936245</anchor>
      <arglist>(const TQStringList &amp;components, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>ada6752bc8e19bc627ad7cccfb3ee6888</anchor>
      <arglist>(const TQStringList &amp;components, ContentInListView content, TQWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfos</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a32e2c61924fd8b2ef51833c32473ef73</anchor>
      <arglist>(const TQValueList&lt; KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>KCMultiDialog *</type>
      <name>dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>aa0a4d5b12532e439812f3f275470ee20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configureTree</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a22e0ac1deae8bbfbef00472863880b0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTreeList</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a645686ed01c50cb93e9a932f5fa3867c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PageNode</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0c76e5b6b4500448fb279d29c9ed171b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dispatcher</name>
    <filename>classKSettings_1_1Dispatcher.html</filename>
    <base>TQObject</base>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a9aabbc419c3d65721b563febc63f5418</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>syncConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a0bdd0012d29c2b1d681ae43f622a5916</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerInstance</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a46028260c9afbfc84a6d070007b42055</anchor>
      <arglist>(TDEInstance *instance, TQObject *recv, const char *slot)</arglist>
    </member>
    <member kind="function">
      <type>TDEConfig *</type>
      <name>configForInstanceName</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a9d18e7a7b37c71365ac2848dd1e105c8</anchor>
      <arglist>(const TQCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type>TQStrList</type>
      <name>instanceNames</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a25438660de97c34b22ae66bd0d24f16f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Dispatcher *</type>
      <name>self</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a1686a1e21454ee58c826d4c0b4e60369</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KStaticDeleter&lt; Dispatcher &gt;</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a072c41f2ec2f598b2f14d50eade44764</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::PluginPage</name>
    <filename>classKSettings_1_1PluginPage.html</filename>
    <base>TDECModule</base>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>aec5ab2145f2f9ad6d15a35dd57279181</anchor>
      <arglist>(TQWidget *parent=0, const char *name=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a936e7caf1aea3ce7fb463c6c04b86c05</anchor>
      <arglist>(TDEInstance *instance, TQWidget *parent=0, const TQStringList &amp;args=TQStringList())</arglist>
    </member>
    <member kind="function">
      <type>KPluginSelector *</type>
      <name>pluginSelector</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a2c3cdac8e08ed50517a29e69fd9a3e93</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>afd9147583571e4311fcda38dbd79f834</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>aa37cc2f685db2c49c0b30c5754f89d66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>ad0cdd1c3d8adef1270b9deed6f4d2649</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
